function ebsd = refine(ebsd,alpha)

if nargin == 1, alpha = 2; end

s = size(ebsd);
snew = alpha*(s-1)+1;

% new orientations
rot = rotation.nan(snew);
rot(1:alpha:end,1:alpha:end) = ebsd.rotations;

% new phaseID
phaseId = ones(snew);
phaseId(1:alpha:end,1:alpha:end) = reshape(ebsd.phaseId,s);

% new x,y
x = linspace(ebsd.prop.x(1),ebsd.prop.x(end),snew(2));
y = linspace(ebsd.prop.y(1),ebsd.prop.y(end),snew(1));
[x,y] = meshgrid(x,y);
ebsd.prop = struct('x',x,'y',y);

% set 
ebsd.rotations = rot;
ebsd.phaseId = phaseId(:);
ebsd.unitCell = ebsd.unitCell ./ alpha;
ebsd.dx = ebsd.dx ./ alpha;
ebsd.dy = ebsd.dy ./ alpha;
ebsd.id = reshape(1:prod(snew),snew);

end

function test

mtexdata ti
ebsd2 = ebsd.refine
[grains,ebsd2.grainId] = calcGrains(ebsd2('indexed'))

plot(ebsd2('indexed'),ebsd2('indexed').orientations)
hold on
plot(grains.boundary)
hold off

ebsd3 = smooth(ebsd2,'fill')




end